# Generated by Django 3.2.19 on 2023-06-12 23:18

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('stock', '0102_alter_stockitem_status'),
        ('part', '0113_auto_20230531_1205'),
        ('common', '0019_projectcode_metadata'),
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False, verbose_name='Id')),
                ('title', models.CharField(max_length=250, verbose_name='Title')),
                ('body_html', models.CharField(max_length=250, verbose_name='Body HTML')),
                ('vendor', models.CharField(max_length=250, verbose_name='Vendor')),
                ('product_type', models.CharField(max_length=250, verbose_name='Product Type')),
                ('handle', models.CharField(max_length=250, verbose_name='Handle')),
                ('created_at', models.DateField(blank=True, null=True, verbose_name='Creation Date')),
                ('updated_at', models.DateField(blank=True, null=True, verbose_name='Creation Date')),
                ('published_at', models.DateField(blank=True, null=True, verbose_name='Creation Date')),
            ],
        ),
        migrations.CreateModel(
            name='ShopifyWebhook',
            fields=[
                ('webhookendpoint_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='common.webhookendpoint')),
                ('shopify_webhook_id', models.IntegerField(blank=True, null=True)),
            ],
            bases=('common.webhookendpoint',),
        ),
        migrations.CreateModel(
            name='Variant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inventory_item_id', models.IntegerField(unique=True, verbose_name='Inventory item ID')),
                ('title', models.CharField(max_length=250, verbose_name='Title')),
                ('sku', models.CharField(max_length=250, verbose_name='SKU')),
                ('barcode', models.CharField(max_length=250, verbose_name='Barcode')),
                ('price', models.CharField(max_length=250, verbose_name='Price')),
                ('created_at', models.DateField(blank=True, null=True, verbose_name='Creation Date')),
                ('updated_at', models.DateField(blank=True, null=True, verbose_name='Creation Date')),
                ('part', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='ShopifyVariant', to='part.part', verbose_name='Part')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='variants', to='inventree_shopify.product', verbose_name='Product')),
            ],
        ),
        migrations.CreateModel(
            name='InventoryLevel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('available', models.IntegerField(verbose_name='Available')),
                ('location_id', models.IntegerField(verbose_name='Location ID')),
                ('updated_at', models.DateField(blank=True, null=True, verbose_name='Creation Date')),
                ('stock_item', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='ShopifyInventoryLevel', to='stock.stockitem', verbose_name='StockItem')),
                ('variant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='levels', to='inventree_shopify.variant', verbose_name='Variant')),
            ],
            options={
                'unique_together': {('location_id', 'variant')},
            },
        ),
    ]
